# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "megane"
version = "0.0.6"
authors = ["zeroclock <zeroclock@icloud.com>"]
description = "AWS Cloudwatch cli viewer"
homepage = "https://github.com/zeroclock/megane"
readme = "README.md"
license = "MIT"
repository = "https://github.com/zeroclock/megane"

[[bin]]
name = "megane"
path = "src/bin/main.rs"
[dependencies.anyhow]
version = "1.0.32"

[dependencies.async-trait]
version = "0.1.40"

[dependencies.backtrace]
version = "0.3.56"

[dependencies.chrono]
version = "0.4.15"

[dependencies.clap]
version = "2.33.3"

[dependencies.crossterm]
version = "0.18.2"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.log]
version = "0.4.13"

[dependencies.log4rs]
version = "1.0.0"

[dependencies.rusoto_cloudwatch]
version = "0.45.0"

[dependencies.rusoto_core]
version = "0.45.0"

[dependencies.rusoto_credential]
version = "0.45.0"

[dependencies.rusoto_iam]
version = "0.45.0"

[dependencies.rusoto_logs]
version = "0.45.0"

[dependencies.rusoto_sts]
version = "0.45.0"

[dependencies.scopeguard]
version = "1.1.0"

[dependencies.tokio]
version = "0.2.22"
features = ["full"]

[dependencies.tui]
version = "0.14"
features = ["crossterm"]
default-features = false
[dev-dependencies.rusoto_mock]
version = "0.45.0"
